type t

val get_current_char : t -> char option
val move_forward : t -> t option

val observe : t -> (char * t) option

val append : t -> t -> t
val (++) : t -> t -> t

val of_string : ?offset:int -> string -> t

val of_in_channel : in_channel -> t

val of_list : char list -> t

val of_file : filename:string -> t
